Loading...
Searching...
No Matches
Dune::DenseMatVecTraits< DynamicMatrix< K > > Struct Template Reference
Common » Dense Matrix and Vector Template Library

`#include <dune/common/dynmatrix.hh>`

Inheritance diagram for Dune::DenseMatVecTraits< DynamicMatrix< K > >:

## Public Types

typedef DynamicMatrix< K > | derived_type
typedef DynamicVector< K > | row_type
typedef row_type & | row_reference
typedef const row_type & | const_row_reference
typedef std::vector< K > | container_type
typedef K | value_type
typedef container_type::size_type | size_type

## Member Typedef Documentation

## const_row_reference

template<class K>

typedef const row_type& Dune::DenseMatVecTraits< DynamicMatrix< K > >::const_row_reference

## container_type

template<class K>

typedef std::vector<K> Dune::DenseMatVecTraits< DynamicMatrix< K > >::container_type

## derived_type

template<class K>

typedef DynamicMatrix<K> Dune::DenseMatVecTraits< DynamicMatrix< K > >::derived_type

## row_reference

template<class K>

typedef row_type& Dune::DenseMatVecTraits< DynamicMatrix< K > >::row_reference

## row_type

template<class K>

typedef DynamicVector<K> Dune::DenseMatVecTraits< DynamicMatrix< K > >::row_type

## size_type

template<class K>

typedef container_type::size_type Dune::DenseMatVecTraits< DynamicMatrix< K > >::size_type

## value_type

template<class K>

typedef K Dune::DenseMatVecTraits< DynamicMatrix< K > >::value_type

The documentation for this struct was generated from the following file:

- dynmatrix.hh